Bug 1299130 - Spurious repeated characters introduced at random into text or as commands.
Spurious repeated characters introduced at random into text or as commands.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 05:26 EST by Terry A. Hurlbut
Modified: 2016-07-19 15:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:24:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry A. Hurlbut 2016-01-16 05:26:21 EST
Description of problem:

A string of spurious characters, beginning with a digit 6 and continuing with an unending stream of digit-8 characters, suddenly appears and fills whatever text workspace, dialog box, etc. currently has the focus. If the application has the focus, these spurious characters act like keystrokes attempting to initiate a keyboard-triggered menu command or other command.

Sometimes the string consists of digits 5. This can cause a problem with applications like Thunderbird, which uses digit 5 as a command to toggle the "can wait" flag on a piece of e-mail.

Version-Release number of selected component (if applicable):

4.2.6-201.fc22.x86_64


How reproducible:

Happens at random during a session with any application putting a focus on a particular text working area or other area sensitive to keystrokes of any kind.

Steps to Reproduce:

1. Start a browser, a word processor, a text editor, or any other application having a text working area of any kind.

2. Place the focus on a particular text working area. For safety's sake, do this in an empty document in a plain-text editor, like KWrite.

3. Watch and wait. (Although sometimes spurious characters will appear as you type!)

Actual results:

Without your typing anything, the machine will start with a digit 6 and then continue with an unbreaking string of 8's. The only way to break it is with another keystroke of your own. After that you have to erase the spurious characters.

Sometimes the machine will throw a number "68" into your text as you are typing. This leaves you with a typographical error you must correct. And it can salt your text with typographical errors requiring as much time to remove as it took to type the text to begin with!

Expected results:

No character, of any description, should appear without your striking a key.

Additional info:

This error has occurred before. It crops up on occasion with a kernel update and vanishes one or at most two updates later. Everyone knows about it. Before now, it was a Plague of Fives. Now it is a Plague of Eights.

A spurious number 68 introduced itself into my text as I was typing this report.

The nature of the error, and its apparent dependency on versions of the kernel, should preclude any consideration of a hardware fault like "sticking keys."
Comment 1 Terry A. Hurlbut 2016-01-16 14:00:53 EST
Correction to version of kernel:

4.2.8-200.fc22.x86_64

This version is current, at least for F22. I have fallen back on the Last Known Good version to avoid this problem.
Comment 2 Terry A. Hurlbut 2016-05-26 05:39:39 EDT
The problem has recurred with release 4.4.10-200.fc22.x86_64 of the kernel.

The problem manifests itself as a spurious series of digit-5 characters--the "Plague of Fives."

To reproduce:

1. Open any application window or even any Kickstarter window.

2. Watch the 5's fill whatever text field has the active focus.

Related symptom:

1. Leave your screen on overnight with the computer running this version of the kernel.

2. Check to see whether your screen sleeps.

Expected behavior: the screen sleeps.

Actual behavior: the screen never sleeps.

I fell back to the previous version of the kernel--4.4.9-200.fc22.x86_64. I have no such problem with this version of the kernel.
Comment 3 Fedora End Of Life 2016-07-19 15:24:06 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.